Subject: Re: [PATCH v2 1/4] uprobes: add trap variant helper

From: Oleg Nesterov <[email-masked]>
Date: Sat, 23 Mar 2013 19:08:01 +0100

On 03/22, Ananth N Mavinakayanahalli wrote:
>
> Some architectures like powerpc have multiple variants of the trap
> instruction. Introduce an additional helper is_trap_insn() for run-time
> handling of non-uprobe traps on such architectures.

Looks fine to me.

I am going to take this into my tree, hopefully Ben won't object. The
main change is arch-agnostic and the changes in arch/powerpc are trivial.

Oleg.